aboutsummaryrefslogtreecommitdiffstats
path: root/testsuite/testenv.sh
diff options
context:
space:
mode:
Diffstat (limited to 'testsuite/testenv.sh')
-rw-r--r--testsuite/testenv.sh12
1 files changed, 12 insertions, 0 deletions
diff --git a/testsuite/testenv.sh b/testsuite/testenv.sh
index a8097eb11..7db202097 100644
--- a/testsuite/testenv.sh
+++ b/testsuite/testenv.sh
@@ -103,6 +103,18 @@ elab_simulate_failure ()
"$GHDL" --elab-run $GHDL_STD_FLAGS $GHDL_FLAGS $@ --expect-failure
}
+# Compare the dump of a GHW wave and a previous golden dump
+ghw_diff ()
+{
+ ghwdump -ths "$1".ghw > "$1".txt
+ if diff --strip-trailing-cr "$1".txt golden_"$1".txt; then
+ echo "The ghw dump matches."
+ else
+ echo "The ghw dump does not match what is expected."
+ exit 1
+ fi
+}
+
synth()
{
echo "Synthesis of $@" >&2